---
title: Element.scroll()
slug: Web/API/Element/scroll
tags:
  - API
  - Element
  - Method
  - Reference
  - Scroll
---
<div>{{APIRef}}</div>

<p>The <strong><code>scroll()</code></strong> method of the {{domxref("Element")}} interface scrolls the element to a particular set of coordinates inside a given element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>element</var>.scroll(<var>x-coord</var>, <var>y-coord</var>)
<var>element</var>.scroll(<var>options</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<h4 id="Calling_with_coordinates">Calling with coordinates</h4>

<dl>
	<dt><code><var>x-coord</var></code></dt>
	<dd>The pixel along the horizontal axis of the element that you want displayed in the upper left.</dd>
	<dt><code><var>y-coord</var></code></dt>
	<dd>The pixel along the vertical axis of the element that you want displayed in the upper left.</dd>
</dl>

<h4 id="Calling_with_options">Calling with <code><var>options</var></code></h4>

<dl>
	<dt><code><var>options</var></code></dt>
	<dd>A {{domxref("ScrollToOptions")}} dictionary.</dd>
</dl>

<h2 id="Example">Examples</h2>

<pre class="brush: js">// Put the 1000th vertical pixel at the top of the element
element.scroll(0, 1000);
</pre>

<p>Using <code>options</code>:</p>

<pre class="brush: js">element.scroll({
  top: 100,
  left: 100,
  behavior: 'smooth'
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('CSSOM View', '#dom-element-scroll-options-options', 'element.scroll()') }}</td>
			<td>{{ Spec2('CSSOM View') }}</td>
			<td>
			<p>Initial definition.</p>
			</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Element.scroll")}}</p>
